Subject: RE: [SIP] draft-ietf-sip-cc-transfer-01

From: [email-masked]
Date: Mon, 18 Sep 2000 13:50:50 -0500

There was a suggestion from Jonathan that doesn't seem to have made it into
the draft:

Subject: Possible REFER problem?
Date: Sun 9/10/00
Partial Text: 

"I had actually forgotten that we have alraedy defined a mechanism to
accomplish exactly what is desired here! Its the caller preferences
extension. It allows you to specify a specific contact you'd like to reach.

"So, lets say A is talking to B. A then calls C, and wants to transfer B to
C. The REFER from A to B would look like:

"REFER sip:B
"From: sip:A
"Refer-To: sip:C?Accept-Contact=sip:C.contact-address

"This has the nice property that the request URI of the INVITE generated by
B
will still be C's regular SIP address, allowing it to be routed properly.
The Accept-Contact will help ensure that a proxy only sends it to a specific
instance.

"This is worth noting in the REFER document."

> -----Original Message-----
> From: EXT Robert Sparks [mailto:[email-masked]]
> Sent: Monday, September 18, 2000 2:38 PM
> To: [email-masked]
> Subject: [SIP] draft-ietf-sip-cc-transfer-01
> 
> 
> 
> The attached revision to sip-cc-transfer has been submitted to the
> internet-drafts repository.
> 
> This revision addresses the following:
> 
> . Separated definition of the REFER method and headers from 
> the definition
> of its use to achieve transfer.
> . Replaced the syntax of the Referred-By header to align with
> sip-ietf-sip-guidelines.
> . Added short forms of Refer-To and Referred-By as recommended by
> sip-ietf-sip-guidelines.
> . Allows REFERs outside the scope of an existing call-leg.
> 
> I've tried to reflect most of the feedback received since the 
> Pittsburg
> meeting. Please
> review - if I've missed something, let me know.
> 
> RjS
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip